package com.heyang;

/**
 * Tokens in json format
 * @author Heyang
 *
 */
public class Token {
	public static final int TYPE_OPEN_BRACE=0;		// {
	public static final int TYPE_CLOSE_BRACE=1;		// }
	public static final int TYPE_TEXT=2;			// text
	public static final int TYPE_COMMA=3;			// ,
	public static final int TYPE_COLON=4;			// :
	public static final int TYPE_OPEN_BRACKET=5;	// [
	public static final int TYPE_CLOSE_BRACKET=6;	// ]
    
    private int type;
    private String text;
    
    public Token(char c,int type) {
        this.text=String.valueOf(c);
        this.type=type;
    }
    
    public Token(String word,int type) {
        this.text=word;
        this.type=type;
    }

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}
}
